Page MenuHomePhabricator

[Task] Implement service for placing derived values in PropertyValueSnak objects in the data model before serialization
Closed, InvalidPublic

Description

A "ValueExtender" service would now which values can be normalized or expanded in which way. It would go through all the Snaks in a data model, and add derived values to PropertyValueSnaks where appropriate.

PS: "extender" is a silly name, think of something better.

Event Timeline

daniel created this task.Jun 17 2015, 3:59 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
Jonas renamed this task from Implement service for placing ExtendedPropertyValueSnak objects in the data model before serialization to [Task] Implement service for placing ExtendedPropertyValueSnak objects in the data model before serialization.Sep 10 2015, 10:36 AM
Jonas set Security to None.
Bene added a subscriber: Bene.Sep 17 2015, 2:58 PM
daniel renamed this task from [Task] Implement service for placing ExtendedPropertyValueSnak objects in the data model before serialization to [Task] Implement service for placing derived values in PropertyValueSnak objects in the data model before serialization.Nov 17 2015, 4:47 PM
daniel updated the task description. (Show Details)
Addshore closed this task as Invalid.Jan 23 2019, 12:23 PM
Addshore added a subscriber: Addshore.

Task break down is no longer valid, and we have closed the epic T112548